## org.eclipse.datatools.sqltools.schemaobjecteditor.model
Interface ISchemaObjectEditorModelListener

All Known Implementing Classes:
  ASAColumnsEditorPage, ASAConstraintsEditorPage, ASAPrivilegesEditorPage, ASAStorageEditorPage, ASATableSchemaEditorPage, SQLConstraintsTreeViewerInput

    public interface ISchemaObjectEditorModelListener

Implementor of this class will be notified when the model change event occurs

Author:
  Idull

Method Summary
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)` The model is changed, the detailed information is contained in the `Notification` instance.

Method Detail

### notifyChanged

    void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

  The model is changed, the detailed information is contained in the `Notification` instance.

  Implementors should filter the notifications

  Parameters:
    `msg` - the notification